diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentythirteen/taxonomy-post_format.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentythirteen/taxonomy-post_format.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentythirteen/taxonomy-post_format.php	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentythirteen/taxonomy-post_format.php	2013-03-12 17:44:55.000000000 -0500
***************
*** 0 ****
--- 1,41 ----
+ <?php
+ /**
+  * The template for displaying Post Format pages.
+  *
+  * Used to display archive-type pages for posts with a post format.
+  * If you'd like to further customize these Post Format views, you may create a
+  * new template file for each specific one.
+  *
+  * Learn more: http://codex.wordpress.org/Template_Hierarchy
+  *
+  * @package WordPress
+  * @subpackage Twenty_Thirteen
+  * @since Twenty Thirteen 1.0
+  */
+ 
+ get_header(); ?>
+ 
+ 	<div id="primary" class="content-area">
+ 		<div id="content" class="site-content" role="main">
+ 
+ 		<?php if ( have_posts() ) : ?>
+ 			<header class="archive-header">
+ 				<h1 class="archive-title"><?php printf( __( '%s Archives', 'twentythirteen' ), '<span>' . get_post_format_string( get_post_format() ) . '</span>' ); ?></h1>
+ 			</header><!-- .archive-header -->
+ 
+ 			<?php /* The loop */ ?>
+ 			<?php while ( have_posts() ) : the_post(); ?>
+ 				<?php get_template_part( 'content', get_post_format() ); ?>
+ 			<?php endwhile; ?>
+ 
+ 			<?php twentythirteen_paging_nav(); ?>
+ 
+ 		<?php else : ?>
+ 			<?php get_template_part( 'content', 'none' ); ?>
+ 		<?php endif; ?>
+ 
+ 		</div><!-- #content -->
+ 	</div><!-- #primary -->
+ 
+ <?php get_sidebar(); ?>
+ <?php get_footer(); ?>
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/content-aside.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/content-aside.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/content-aside.php	2012-10-26 18:25:45.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/content-aside.php	2013-04-29 11:57:30.000000000 -0500
***************
*** 10,16 ****
  
  	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  		<div class="aside">
! 			<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'twentytwelve' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
  			<div class="entry-content">
  				<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentytwelve' ) ); ?>
  			</div><!-- .entry-content -->
--- 10,16 ----
  
  	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  		<div class="aside">
! 			<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
  			<div class="entry-content">
  				<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentytwelve' ) ); ?>
  			</div><!-- .entry-content -->
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/content-image.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/content-image.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/content-image.php	2012-10-26 18:25:45.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/content-image.php	2013-04-29 11:57:30.000000000 -0500
***************
*** 14,20 ****
  		</div><!-- .entry-content -->
  
  		<footer class="entry-meta">
! 			<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'twentytwelve' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark">
  				<h1><?php the_title(); ?></h1>
  				<h2><time class="entry-date" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time></h2>
  			</a>
--- 14,20 ----
  		</div><!-- .entry-content -->
  
  		<footer class="entry-meta">
! 			<a href="<?php the_permalink(); ?>" rel="bookmark">
  				<h1><?php the_title(); ?></h1>
  				<h2><time class="entry-date" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time></h2>
  			</a>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/content-page.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/content-page.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/content-page.php	2012-10-26 18:25:45.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/content-page.php	2013-03-01 10:50:34.000000000 -0600
***************
*** 10,15 ****
--- 10,18 ----
  
  	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  		<header class="entry-header">
+ 			<?php if ( ! is_page_template( 'page-templates/front-page.php' ) ) : ?>
+ 			<?php the_post_thumbnail(); ?>
+ 			<?php endif; ?>
  			<h1 class="entry-title"><?php the_title(); ?></h1>
  		</header>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/content.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/content.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/content.php	2012-10-26 18:25:45.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/content.php	2013-04-29 11:57:30.000000000 -0500
***************
*** 20,26 ****
  			<h1 class="entry-title"><?php the_title(); ?></h1>
  			<?php else : ?>
  			<h1 class="entry-title">
! 				<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'twentytwelve' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
  			</h1>
  			<?php endif; // is_single() ?>
  			<?php if ( comments_open() ) : ?>
--- 20,26 ----
  			<h1 class="entry-title"><?php the_title(); ?></h1>
  			<?php else : ?>
  			<h1 class="entry-title">
! 				<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
  			</h1>
  			<?php endif; // is_single() ?>
  			<?php if ( comments_open() ) : ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/functions.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/functions.php	2012-12-03 14:12:22.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/functions.php	2013-03-15 12:54:36.000000000 -0500
***************
*** 83,127 ****
  require( get_template_directory() . '/inc/custom-header.php' );
  
  /**
!  * Enqueues scripts and styles for front-end.
   *
!  * @since Twenty Twelve 1.0
   */
! function twentytwelve_scripts_styles() {
! 	global $wp_styles;
! 
! 	/*
! 	 * Adds JavaScript to pages with the comment form to support
! 	 * sites with threaded comments (when in use).
! 	 */
! 	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
! 		wp_enqueue_script( 'comment-reply' );
! 
! 	/*
! 	 * Adds JavaScript for handling the navigation menu hide-and-show behavior.
! 	 */
! 	wp_enqueue_script( 'twentytwelve-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '1.0', true );
! 
! 	/*
! 	 * Loads our special font CSS file.
! 	 *
! 	 * The use of Open Sans by default is localized. For languages that use
! 	 * characters not supported by the font, the font can be disabled.
! 	 *
! 	 * To disable in a child theme, use wp_dequeue_style()
! 	 * function mytheme_dequeue_fonts() {
! 	 *     wp_dequeue_style( 'twentytwelve-fonts' );
! 	 * }
! 	 * add_action( 'wp_enqueue_scripts', 'mytheme_dequeue_fonts', 11 );
! 	 */
  
  	/* translators: If there are characters in your language that are not supported
! 	   by Open Sans, translate this to 'off'. Do not translate into your own language. */
  	if ( 'off' !== _x( 'on', 'Open Sans font: on or off', 'twentytwelve' ) ) {
  		$subsets = 'latin,latin-ext';
  
  		/* translators: To add an additional Open Sans character subset specific to your language, translate
! 		   this to 'greek', 'cyrillic' or 'vietnamese'. Do not translate into your own language. */
  		$subset = _x( 'no-subset', 'Open Sans font: add new subset (greek, cyrillic, vietnamese)', 'twentytwelve' );
  
  		if ( 'cyrillic' == $subset )
--- 83,107 ----
  require( get_template_directory() . '/inc/custom-header.php' );
  
  /**
!  * Returns the Google font stylesheet URL if available.
   *
!  * The use of Open Sans by default is localized. For languages that use
!  * characters not supported by the font, the font can be disabled.
!  *
!  * @since Twenty Twelve 1.2
!  *
!  * @return string Font stylesheet or empty string if disabled.
   */
! function twentytwelve_get_font_url() {
! 	$font_url = '';
  
  	/* translators: If there are characters in your language that are not supported
! 	 by Open Sans, translate this to 'off'. Do not translate into your own language. */
  	if ( 'off' !== _x( 'on', 'Open Sans font: on or off', 'twentytwelve' ) ) {
  		$subsets = 'latin,latin-ext';
  
  		/* translators: To add an additional Open Sans character subset specific to your language, translate
! 		 this to 'greek', 'cyrillic' or 'vietnamese'. Do not translate into your own language. */
  		$subset = _x( 'no-subset', 'Open Sans font: add new subset (greek, cyrillic, vietnamese)', 'twentytwelve' );
  
  		if ( 'cyrillic' == $subset )
***************
*** 136,144 ****
  			'family' => 'Open+Sans:400italic,700italic,400,700',
  			'subset' => $subsets,
  		);
! 		wp_enqueue_style( 'twentytwelve-fonts', add_query_arg( $query_args, "$protocol://fonts.googleapis.com/css" ), array(), null );
  	}
  
  	/*
  	 * Loads our main stylesheet.
  	 */
--- 116,151 ----
  			'family' => 'Open+Sans:400italic,700italic,400,700',
  			'subset' => $subsets,
  		);
! 		$font_url = add_query_arg( $query_args, "$protocol://fonts.googleapis.com/css" );
  	}
  
+ 	return $font_url;
+ }
+ 
+ /**
+  * Enqueues scripts and styles for front-end.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_scripts_styles() {
+ 	global $wp_styles;
+ 
+ 	/*
+ 	 * Adds JavaScript to pages with the comment form to support
+ 	 * sites with threaded comments (when in use).
+ 	 */
+ 	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
+ 		wp_enqueue_script( 'comment-reply' );
+ 
+ 	/*
+ 	 * Adds JavaScript for handling the navigation menu hide-and-show behavior.
+ 	 */
+ 	wp_enqueue_script( 'twentytwelve-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '1.0', true );
+ 
+ 	$font_url = twentytwelve_get_font_url();
+ 	if ( ! empty( $font_url ) )
+ 		wp_enqueue_style( 'twentytwelve-fonts', esc_url_raw( $font_url ), array(), null );
+ 
  	/*
  	 * Loads our main stylesheet.
  	 */
***************
*** 153,158 ****
--- 160,190 ----
  add_action( 'wp_enqueue_scripts', 'twentytwelve_scripts_styles' );
  
  /**
+  * Adds additional stylesheets to the TinyMCE editor if needed.
+  *
+  * @uses twentytwelve_get_font_url() To get the Google Font stylesheet URL.
+  *
+  * @since Twenty Twelve 1.2
+  *
+  * @param string $mce_css CSS path to load in TinyMCE.
+  * @return string
+  */
+ function twentytwelve_mce_css( $mce_css ) {
+ 	$font_url = twentytwelve_get_font_url();
+ 
+ 	if ( empty( $font_url ) )
+ 		return $mce_css;
+ 
+ 	if ( ! empty( $mce_css ) )
+ 		$mce_css .= ',';
+ 
+ 	$mce_css .= esc_url_raw( str_replace( ',', '%2C', $font_url ) );
+ 
+ 	return $mce_css;
+ }
+ add_filter( 'mce_css', 'twentytwelve_mce_css' );
+ 
+ /**
   * Creates a nicely formatted and more specific title element text
   * for output in head of document, based on current view.
   *
***************
*** 248,255 ****
  	if ( $wp_query->max_num_pages > 1 ) : ?>
  		<nav id="<?php echo $html_id; ?>" class="navigation" role="navigation">
  			<h3 class="assistive-text"><?php _e( 'Post navigation', 'twentytwelve' ); ?></h3>
! 			<div class="nav-previous alignleft"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentytwelve' ) ); ?></div>
! 			<div class="nav-next alignright"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentytwelve' ) ); ?></div>
  		</nav><!-- #<?php echo $html_id; ?> .navigation -->
  	<?php endif;
  }
--- 280,287 ----
  	if ( $wp_query->max_num_pages > 1 ) : ?>
  		<nav id="<?php echo $html_id; ?>" class="navigation" role="navigation">
  			<h3 class="assistive-text"><?php _e( 'Post navigation', 'twentytwelve' ); ?></h3>
! 			<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentytwelve' ) ); ?></div>
! 			<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentytwelve' ) ); ?></div>
  		</nav><!-- #<?php echo $html_id; ?> .navigation -->
  	<?php endif;
  }
***************
*** 286,295 ****
  			<header class="comment-meta comment-author vcard">
  				<?php
  					echo get_avatar( $comment, 44 );
! 					printf( '<cite class="fn">%1$s %2$s</cite>',
  						get_comment_author_link(),
  						// If current post author is also comment author, make it known visually.
! 						( $comment->user_id === $post->post_author ) ? '<span> ' . __( 'Post author', 'twentytwelve' ) . '</span>' : ''
  					);
  					printf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
  						esc_url( get_comment_link( $comment->comment_ID ) ),
--- 318,327 ----
  			<header class="comment-meta comment-author vcard">
  				<?php
  					echo get_avatar( $comment, 44 );
! 					printf( '<cite><b class="fn">%1$s</b> %2$s</cite>',
  						get_comment_author_link(),
  						// If current post author is also comment author, make it known visually.
! 						( $comment->user_id === $post->post_author ) ? '<span>' . __( 'Post author', 'twentytwelve' ) . '</span>' : ''
  					);
  					printf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
  						esc_url( get_comment_link( $comment->comment_ID ) ),
***************
*** 383,388 ****
--- 415,421 ----
   */
  function twentytwelve_body_class( $classes ) {
  	$background_color = get_background_color();
+ 	$background_image = get_background_image();
  
  	if ( ! is_active_sidebar( 'sidebar-1' ) || is_page_template( 'page-templates/full-width.php' ) )
  		$classes[] = 'full-width';
***************
*** 395,404 ****
  			$classes[] = 'two-sidebars';
  	}
  
! 	if ( empty( $background_color ) )
! 		$classes[] = 'custom-background-empty';
! 	elseif ( in_array( $background_color, array( 'fff', 'ffffff' ) ) )
! 		$classes[] = 'custom-background-white';
  
  	// Enable custom font class only if the font CSS is queued to load.
  	if ( wp_style_is( 'twentytwelve-fonts', 'queue' ) )
--- 428,439 ----
  			$classes[] = 'two-sidebars';
  	}
  
! 	if ( empty( $background_image ) ) {
! 		if ( empty( $background_color ) )
! 			$classes[] = 'custom-background-empty';
! 		elseif ( in_array( $background_color, array( 'fff', 'ffffff' ) ) )
! 			$classes[] = 'custom-background-white';
! 	}
  
  	// Enable custom font class only if the font CSS is queued to load.
  	if ( wp_style_is( 'twentytwelve-fonts', 'queue' ) )
***************
*** 434,441 ****
   * @return void
   */
  function twentytwelve_customize_register( $wp_customize ) {
! 	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
! 	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
  }
  add_action( 'customize_register', 'twentytwelve_customize_register' );
  
--- 469,477 ----
   * @return void
   */
  function twentytwelve_customize_register( $wp_customize ) {
! 	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
! 	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
! 	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
  }
  add_action( 'customize_register', 'twentytwelve_customize_register' );
  
***************
*** 445,450 ****
   * @since Twenty Twelve 1.0
   */
  function twentytwelve_customize_preview_js() {
! 	wp_enqueue_script( 'twentytwelve-customizer', get_template_directory_uri() . '/js/theme-customizer.js', array( 'customize-preview' ), '20120827', true );
  }
  add_action( 'customize_preview_init', 'twentytwelve_customize_preview_js' );
--- 481,486 ----
   * @since Twenty Twelve 1.0
   */
  function twentytwelve_customize_preview_js() {
! 	wp_enqueue_script( 'twentytwelve-customizer', get_template_directory_uri() . '/js/theme-customizer.js', array( 'customize-preview' ), '20130301', true );
  }
  add_action( 'customize_preview_init', 'twentytwelve_customize_preview_js' );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/inc/custom-header.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/inc/custom-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/inc/custom-header.php	2012-11-14 14:13:04.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/inc/custom-header.php	2013-04-22 14:40:28.000000000 -0500
***************
*** 21,27 ****
  function twentytwelve_custom_header_setup() {
  	$args = array(
  		// Text color and image (empty to use none).
! 		'default-text-color'     => '444',
  		'default-image'          => '',
  
  		// Set height and width, with a maximum value for the width.
--- 21,27 ----
  function twentytwelve_custom_header_setup() {
  	$args = array(
  		// Text color and image (empty to use none).
! 		'default-text-color'     => '515151',
  		'default-image'          => '',
  
  		// Set height and width, with a maximum value for the width.
***************
*** 47,55 ****
  add_action( 'after_setup_theme', 'twentytwelve_custom_header_setup' );
  
  /**
   * Styles the header text displayed on the blog.
   *
!  * get_header_textcolor() options: 444 is default, hide text (returns 'blank'), or any hex value.
   *
   * @since Twenty Twelve 1.0
   */
--- 47,69 ----
  add_action( 'after_setup_theme', 'twentytwelve_custom_header_setup' );
  
  /**
+  * Loads our special font CSS file.
+  *
+  * @since Twenty Twelve 1.2
+  *
+  * @return void
+  */
+ function twentytwelve_custom_header_fonts() {
+ 	$font_url = twentytwelve_get_font_url();
+ 	if ( ! empty( $font_url ) )
+ 		wp_enqueue_style( 'twentytwelve-fonts', esc_url_raw( $font_url ), array(), null );
+ }
+ add_action( 'admin_print_styles-appearance_page_custom-header', 'twentytwelve_custom_header_fonts' );
+ 
+ /**
   * Styles the header text displayed on the blog.
   *
!  * get_header_textcolor() options: 515151 is default, hide text (returns 'blank'), or any hex value.
   *
   * @since Twenty Twelve 1.0
   */
***************
*** 62,75 ****
  
  	// If we get this far, we have custom styles.
  	?>
! 	<style type="text/css">
  	<?php
  		// Has the text been hidden?
  		if ( ! display_header_text() ) :
  	?>
  		.site-title,
  		.site-description {
! 			position: absolute !important;
  			clip: rect(1px 1px 1px 1px); /* IE7 */
  			clip: rect(1px, 1px, 1px, 1px);
  		}
--- 76,89 ----
  
  	// If we get this far, we have custom styles.
  	?>
! 	<style type="text/css" id="twentytwelve-header-css">
  	<?php
  		// Has the text been hidden?
  		if ( ! display_header_text() ) :
  	?>
  		.site-title,
  		.site-description {
! 			position: absolute;
  			clip: rect(1px 1px 1px 1px); /* IE7 */
  			clip: rect(1px, 1px, 1px, 1px);
  		}
***************
*** 77,85 ****
  		// If the user has set a custom color for the text, use that.
  		else :
  	?>
! 		.site-title a,
! 		.site-description {
! 			color: #<?php echo $text_color; ?> !important;
  		}
  	<?php endif; ?>
  	</style>
--- 91,99 ----
  		// If the user has set a custom color for the text, use that.
  		else :
  	?>
! 		.site-header h1 a,
! 		.site-header h2 {
! 			color: #<?php echo $text_color; ?>;
  		}
  	<?php endif; ?>
  	</style>
***************
*** 93,121 ****
   */
  function twentytwelve_admin_header_style() {
  ?>
! 	<style type="text/css">
  	.appearance_page_custom-header #headimg {
  		border: none;
  	}
  	#headimg h1,
  	#headimg h2 {
! 		line-height: 1.6;
  		margin: 0;
  		padding: 0;
  	}
  	#headimg h1 {
! 		font-size: 30px;
  	}
  	#headimg h1 a {
  		color: #515151;
  		text-decoration: none;
  	}
  	#headimg h1 a:hover {
! 		color: #21759b;
  	}
  	#headimg h2 {
  		color: #757575;
! 		font: normal 13px/1.8 "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", sans-serif;
  		margin-bottom: 24px;
  	}
  	#headimg img {
--- 107,136 ----
   */
  function twentytwelve_admin_header_style() {
  ?>
! 	<style type="text/css" id="twentytwelve-admin-header-css">
  	.appearance_page_custom-header #headimg {
  		border: none;
+ 		font-family: "Open Sans", Helvetica, Arial, sans-serif;
  	}
  	#headimg h1,
  	#headimg h2 {
! 		line-height: 1.84615;
  		margin: 0;
  		padding: 0;
  	}
  	#headimg h1 {
! 		font-size: 26px;
  	}
  	#headimg h1 a {
  		color: #515151;
  		text-decoration: none;
  	}
  	#headimg h1 a:hover {
! 		color: #21759b !important; /* Has to override custom inline style. */
  	}
  	#headimg h2 {
  		color: #757575;
! 		font-size: 13px;
  		margin-bottom: 24px;
  	}
  	#headimg img {
***************
*** 140,147 ****
  		else
  			$style = ' style="color:#' . get_header_textcolor() . ';"';
  		?>
! 		<h1><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
! 		<h2 id="desc"<?php echo $style; ?>><?php bloginfo( 'description' ); ?></h2>
  		<?php $header_image = get_header_image();
  		if ( ! empty( $header_image ) ) : ?>
  			<img src="<?php echo esc_url( $header_image ); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" />
--- 155,162 ----
  		else
  			$style = ' style="color:#' . get_header_textcolor() . ';"';
  		?>
! 		<h1 class="displaying-header-text"><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
! 		<h2 id="desc" class="displaying-header-text"<?php echo $style; ?>><?php bloginfo( 'description' ); ?></h2>
  		<?php $header_image = get_header_image();
  		if ( ! empty( $header_image ) ) : ?>
  			<img src="<?php echo esc_url( $header_image ); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" />
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/js/theme-customizer.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/js/theme-customizer.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/themes/twentytwelve/js/theme-customizer.js	2012-10-26 18:25:45.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-content/themes/twentytwelve/js/theme-customizer.js	2013-03-15 11:42:10.000000000 -0500
***************
*** 9,32 ****
  	// Site title and description.
  	wp.customize( 'blogname', function( value ) {
  		value.bind( function( to ) {
! 			$( '.site-title a' ).html( to );
  		} );
  	} );
  	wp.customize( 'blogdescription', function( value ) {
  		value.bind( function( to ) {
! 			$( '.site-description' ).html( to );
  		} );
  	} );
  
! 	// Hook into background color change and adjust body class value as needed.
  	wp.customize( 'background_color', function( value ) {
  		value.bind( function( to ) {
! 			if ( '#ffffff' == to || '#fff' == to )
! 				$( 'body' ).addClass( 'custom-background-white' );
! 			else if ( '' == to )
! 				$( 'body' ).addClass( 'custom-background-empty' );
  			else
! 				$( 'body' ).removeClass( 'custom-background-empty custom-background-white' );
  		} );
  	} );
! } )( jQuery );
\ No newline at end of file
--- 9,64 ----
  	// Site title and description.
  	wp.customize( 'blogname', function( value ) {
  		value.bind( function( to ) {
! 			$( '.site-title a' ).text( to );
  		} );
  	} );
  	wp.customize( 'blogdescription', function( value ) {
  		value.bind( function( to ) {
! 			$( '.site-description' ).text( to );
  		} );
  	} );
  
! 	// Header text color
! 	wp.customize( 'header_textcolor', function( value ) {
! 		value.bind( function( to ) {
! 			if ( 'blank' === to ) {
! 				$( '.site-title, .site-title a, .site-description' ).css( {
! 					'clip': 'rect(1px, 1px, 1px, 1px)',
! 					'position': 'absolute'
! 				} );
! 			} else {
! 				$( '.site-title, .site-title a, .site-description' ).css( {
! 					'clip': 'auto',
! 					'color': to,
! 					'position': 'relative'
! 				} );
! 			}
! 		} );
! 	} );
! 
! 	// Hook into background color/image change and adjust body class value as needed.
  	wp.customize( 'background_color', function( value ) {
  		value.bind( function( to ) {
! 			var body = $( 'body' );
! 
! 			if ( ( '#ffffff' == to || '#fff' == to ) && 'none' == body.css( 'background-image' ) )
! 				body.addClass( 'custom-background-white' );
! 			else if ( '' == to && 'none' == body.css( 'background-image' ) )
! 				body.addClass( 'custom-background-empty' );
  			else
! 				body.removeClass( 'custom-background-empty custom-background-white' );
! 		} );
! 	} );
! 	wp.customize( 'background_image', function( value ) {
! 		value.bind( function( to ) {
! 			var body = $( 'body' );
! 
! 			if ( '' != to )
! 				body.removeClass( 'custom-background-empty custom-background-white' );
! 			else if ( 'rgb(255, 255, 255)' == body.css( 'background-color' ) )
! 				body.addClass( 'custom-background-white' );
! 			else if ( 'rgb(230, 230, 230)' == body.css( 'background-color' ) && '' == _wpCustomizeSettings.values.background_color )
! 				body.addClass( 'custom-background-empty' );
  		} );
  	} );
! } )( jQuery );
